#ifndef GUARD_F247452E0BF1EC9CD9131C2A6FD281CA
#define GUARD_F247452E0BF1EC9CD9131C2A6FD281CA

#include "framebuffer.h"
#include "types.h"
#include "vec2i.h"

struct GLFWwindow;

struct sw_window {
	struct sw_vec2i game_size;
	struct sw_vec2i window_size;
	i32 scaler;

	struct GLFWwindow *_window;
	struct sw_framebuffer *_scaler_fb;
};

struct sw_window *sw_window_create(struct sw_vec2i size, char *title);

void sw_window_run(struct sw_window *window, void (*callback)());

#endif /* GUARD_F247452E0BF1EC9CD9131C2A6FD281CA */
